Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.vlaanderen.mercurius.mohm.common.v7
Enum CareServiceCodeStatusType

    java.lang.Object
      java.lang.Enum<CareServiceCodeStatusType>
          be.vlaanderen.mercurius.mohm.common.v7.CareServiceCodeStatusType

All Implemented Interfaces:
  Serializable, Comparable<CareServiceCodeStatusType>

    public enum CareServiceCodeStatusType

extends Enum<CareServiceCodeStatusType>

Java class for CareServiceCodeStatusType.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CareServiceCodeStatusType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="Received"/>
         <enumeration value="Accepted"/>
         <enumeration value="Refused"/>
         <enumeration value="Ended"/>
         <enumeration value="Canceled"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`ACCEPTED` Aanvaard
`CANCELED` Geannuleerd
`ENDED` Stopgezet
`RECEIVED` Ontvangen, maar nog niet beslist
`REFUSED` Geweigerd

Method Summary
`static CareServiceCodeStatusType` | `fromValue(String v)`
`String` | `value()`
`static CareServiceCodeStatusType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CareServiceCodeStatusType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RECEIVED

    public static final CareServiceCodeStatusType RECEIVED

  Ontvangen, maar nog niet beslist

### ACCEPTED

    public static final CareServiceCodeStatusType ACCEPTED

  Aanvaard

### REFUSED

    public static final CareServiceCodeStatusType REFUSED

  Geweigerd

### ENDED

    public static final CareServiceCodeStatusType ENDED

  Stopgezet

### CANCELED

    public static final CareServiceCodeStatusType CANCELED

  Geannuleerd

Method Detail

### values

    public static CareServiceCodeStatusType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CareServiceCodeStatusType c : CareServiceCodeStatusType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CareServiceCodeStatusType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CareServiceCodeStatusType fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.